Package net.shibboleth.idp.profile.impl

# Class RethrowingFlowExecutionExceptionHandler

java.lang.Object
net.shibboleth.idp.profile.impl.RethrowingFlowExecutionExceptionHandler

All Implemented Interfaces:
  `FlowExecutionExceptionHandler`

public class RethrowingFlowExecutionExceptionHandler extends Object implements FlowExecutionExceptionHandler
This handler can be attached to view or end states that are used to respond to errors, including RuntimeExceptions, so that if they themselves raise another RuntimeException, it won't trigger the state again, but just fail the flow.

## Constructor Summary

Constructors
Constructor
Description
`RethrowingFlowExecutionExceptionHandler()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canHandle(FlowExecutionException exception)`
`void`
`handle(FlowExecutionException exception, RequestControlContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RethrowingFlowExecutionExceptionHandler

public RethrowingFlowExecutionExceptionHandler()

## Method Details

### canHandle

public boolean canHandle(FlowExecutionException exception)

Specified by:
  `canHandle` in interface `FlowExecutionExceptionHandler`

### handle

public void handle(FlowExecutionException exception, RequestControlContext context)

Specified by:
  `handle` in interface `FlowExecutionExceptionHandler`